Bug 127270 - assertion `file != NULL' failed on start
assertion `file != NULL' failed on start
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ggv (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-05 13:15 EDT by Alexander Tetervak
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-05 13:55:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Tetervak 2004-07-05 13:15:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
ggv became broken after recent Fedora upgrades,
it shows the assertion `file != NULL' failed messages on start. Other
behaviour seems to be normal. The bug noticed on July 5, 2004; 
it could be broken up to 5-6 days before.

Version-Release number of selected component (if applicable):
ggv-2.6.0-2

How reproducible:
Always

Steps to Reproduce:
1. ggv
or
1. ggv file_name.ps

    

Actual Results:  series of  " assertion `file != NULL' failed "
messages displayed

Expected Results:  clean start, no error messages

Additional info:

[tetervak@dana article]$ ggv
 
** (ggv:25772): CRITICAL **: file egg-recent-model.c: line 882
(egg_recent_model_open_file): assertion `file != NULL' failed
 
** (ggv:25772): CRITICAL **: file egg-recent-model.c: line 1409
(egg_recent_model_get_list): assertion `file != NULL' failed
 
** (ggv:25772): CRITICAL **: file egg-recent-model.c: line 882
(egg_recent_model_open_file): assertion `file != NULL' failed
 
** (ggv:25772): CRITICAL **: file egg-recent-model.c: line 1409
(egg_recent_model_get_list): assertion `file != NULL' failed
 
** (ggv:25772): CRITICAL **: file egg-recent-model.c: line 882
(egg_recent_model_open_file): assertion `file != NULL' failed
 
** (ggv:25772): CRITICAL **: file egg-recent-model.c: line 1409
(egg_recent_model_get_list): assertion `file != NULL' failed
[tetervak@dana article]$ ggv sketch.ps
 
** (ggv:25779): CRITICAL **: file egg-recent-model.c: line 882
(egg_recent_model_open_file): assertion `file != NULL' failed
 
** (ggv:25779): CRITICAL **: file egg-recent-model.c: line 1409
(egg_recent_model_get_list): assertion `file != NULL' failed
 
** (ggv:25779): CRITICAL **: file egg-recent-model.c: line 882
(egg_recent_model_open_file): assertion `file != NULL' failed
 
** (ggv:25779): CRITICAL **: file egg-recent-model.c: line 1409
(egg_recent_model_get_list): assertion `file != NULL' failed
 
** (ggv:25779): CRITICAL **: file egg-recent-model.c: line 882
(egg_recent_model_open_file): assertion `file != NULL' failed
 
** (ggv:25779): CRITICAL **: file egg-recent-model.c: line 1409
(egg_recent_model_get_list): assertion `file != NULL' failed
[tetervak@dana article]$
Comment 1 Alexander Tetervak 2004-07-05 13:55:48 EDT
I realized that it is my fault, the behavior happens when
".recently_used" file is not writable. It was my primitive way 
to turn off the annoying "Recent Documents" update.

Note You need to log in before you can comment on or make changes to this bug.